Name:    argyllcms
Version: 1.0.3
Release: %mkrel 1
Summary: ICC compatible color management system

Group:     Graphics
License:   GPLv3 and BSD-like
URL:       http://www.argyllcms.com/
Source0:   http://www.argyllcms.com/Argyll_V%{version}_src.zip
# (fc) 1.0.1-1mdv change build system to use autotools (and build with system libusb) (Alastair M. Robinson)
Patch0:  http://www.blackfiveservices.co.uk/Argyll_V1.0.1_autotools.patch
# (fc) 1.0.0-1mdv remove call to additional internal libusb api, not needed
Patch1:  argyllcms-1.0.0-libusb.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}

BuildRequires: libtiff-devel, libusb-devel
BuildRequires: libx11-devel, libxext-devel, libxxf86vm-devel, libxinerama-devel
BuildRequires: libxscrnsaver-devel
BuildRequires: libxrandr-devel

%description
The Argyll color management system supports accurate ICC profile creation for
scanners, CMYK printers, film recorders and calibration and profiling of
displays.

Spectral sample data is supported, allowing a selection of illuminants observer
types, and paper fluorescent whitener additive compensation. Profiles can also
incorporate source specific gamut mappings for perceptual and saturation
intents. Gamut mapping and profile linking uses the CIECAM02 appearance model,
a unique gamut mapping algorithm, and a wide selection of rendering intents. It
also includes code for the fastest portable 8 bit raster color conversion
engine available anywhere, as well as support for fast, fully accurate 16 bit
conversion. Device color gamuts can also be viewed and compared using a VRML
viewer.

%prep
%setup -q -n Argyll_V%{version}
%patch0 -p1 -b .autotools
%patch1 -p1 -b .libusb

#needed by patch0
autoreconf -i


%build

%configure2_5x

#parallel build is broken
make

%install
rm -rf %{buildroot}

%makeinstall_std

install -d -m 0755 %{buildroot}%{_datadir}/hal/fdi/policy/10osvendor
install -p -m 0644 libusb/19-color.fdi \
        %{buildroot}%{_datadir}/hal/fdi/policy/10osvendor/

install -d -m 0755 %{buildroot}%{_datadir}/PolicyKit/policy
install -m 644 libusb/color-device-file.policy %{buildroot}%{_datadir}/PolicyKit/policy

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc %{_datadir}/doc/argyll
%{_bindir}/*
%{_datadir}/color/argyll
%{_datadir}/hal/fdi/policy/10osvendor/19-color.fdi
%{_datadir}/PolicyKit/policy/color-device-file.policy


%changelog
* Thu Sep 04 2008 Frederic Crozat <fcrozat@mandriva.com> 1.0.3-1mdv2009.0
+ Revision: 280459
- Release 1.0.3
- Regenerate patch1

* Mon Aug 18 2008 Frederic Crozat <fcrozat@mandriva.com> 1.0.2-1mdv2009.0
+ Revision: 273320
- Release 1.0.2
- Remove patches 2, 3 (merged upstream)

* Thu Jul 31 2008 Frederic Crozat <fcrozat@mandriva.com> 1.0.1-1mdv2009.0
+ Revision: 257520
- Release 1.0.1
- Remove patches 0 (fixed differently), 1 (merged upstream)
- Patch0: autotool based build system, from Alastair M. Robinsin
- Patch1: remvoe call to additional internal libusb api, not needed
- Patch2 (Fedora): double free fix
- Patch3: various upstream fixes

* Thu Jul 03 2008 Frederic Crozat <fcrozat@mandriva.com> 1.0.0-1mdv2009.0
+ Revision: 231173
- Fix BuildRequires
- Release 1.0.0
- Update patch0 to link with system libusb
- Patch1: various fixes from upstream (use ARGYLL_INGORE_XRANDR1_1=1 to disable xrandr 1.2 support in argyllcms)

* Wed Jan 16 2008 Frederic Crozat <fcrozat@mandriva.com> 0.70-0.1.Beta8.1mdv2008.1
+ Revision: 153663
- Release 0.70 beta8
- Remove patches 1, 2, 3, merged upstream

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Dec 17 2007 Frederic Crozat <fcrozat@mandriva.com> 0.70-0.1.Beta7.4mdv2008.1
+ Revision: 121764
- Remove source1 and replace with patch3: fix usb unbinding (Graeme Grill)
- Update source2 with latest version from Fedora
- Clean specfile

* Thu Dec 13 2007 Frederic Crozat <fcrozat@mandriva.com> 0.70-0.1.Beta7.3mdv2008.1
+ Revision: 119409
- Sources 2, 3 : add HAL / PK files to set ACL on usb device node (initial work from Nicolas Mailhot)
- Patch1, 2: fix buffer overflows (Daniel Berrange, Fedora), allow build in FORTIFY_SOURCE=1
- move .gam files in datadir, rename icclink to icclink-argyll
- fix doc packaging

* Tue Dec 11 2007 Frederic Crozat <fcrozat@mandriva.com> 0.70-0.1.Beta7.2mdv2008.1
+ Revision: 117271
- Add udev rules for Huey colorimeter to unbind from usbhid module
- Fix package version

* Mon Dec 10 2007 Frederic Crozat <fcrozat@mandriva.com> 0.70-0.1.Beta7mdv2008.1
+ Revision: 117020
- import argyllcms


